Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlp.xip
Class Xip

    java.lang.Object
      com.bea.wlp.xip.Xip

    public class Xip

extends Object

This class is designed to be a wrapper around the ExportImportManager API. Its purpose is to allow for the scripting of exporting and importing of .portal, .book, and .page files to and from the database. This utility is governed by a properties file (xip.properties) where you can specify such things as server cinfiguration information, export import commands, scoping rules, and propagation rules.

This utility is only shipped as an example; hence the source code is included. Feel free to modify the code meet your own specific needs.

Constructor Summary
`Xip(XipProperties xipProperties)`

Method Summary
`void` | `exportBook()` Export the book identified by the definition label xip.scope.book.label to a .book file.
`void` | `exportDesktop()` Export a desktop to a .portal file.
`void` | `exportPage()` Export the page identified by the definition label xip.scope.page.label to a .book file.
`void` | `importBook()` Import a book from a .book file.
`void` | `importDesktop()` Import a desktop from a .portal file.
`void` | `importPage()` Import a page from a .page file.
`protected void` | `log(String str)`
`static void` | `main(String[] argvs)` Main static method called from the command line
`void` | `run()` Entry point into this utility.
`protected void` | `verbose(String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Xip

    public Xip(XipProperties xipProperties)

Method Detail

### run

    public void run()

  Entry point into this utility.

### exportDesktop

    public void exportDesktop()

  Export a desktop to a .portal file. Depending on the property xip.export.context.scope.export.to.admin the portal retrieved will either be the admin’s (default) view or a visitors view. Also, the property "xip.export.context." locale determines the locale of the titles and descriptions

### exportBook

    public void exportBook()

  Export the book identified by the definition label xip.scope.book.label to a .book file. If the following two properties are omitted: xip.scope.portal.path and xip.scope.desktop.path=impDesktop then the export is scoped to the Library view. If these properties are supplied then the export is scoped to the Admin's view. If these properties are supplied and the property ip.export.context.scope.export.to.admin is set to false then the export is scoped to an individual visitor's view.

  Also, the property "xip.export.context." locale determines the locale of the titles and descriptions.

### exportPage

    public void exportPage()

  Export the page identified by the definition label xip.scope.page.label to a .book file. If the following two properties are omitted: xip.scope.portal.path and xip.scope.desktop.path=impDesktop then the export is scoped to the Library view. If these properties are supplied then the export is scoped to the Admin's view. If these properties are supplied and the property ip.export.context.scope.export.to.admin is set to false then the export is scoped to an individual visitor's view.

  Also, the property "xip.export.context." locale determines the locale of the titles and descriptions.

### importDesktop

    public void importDesktop()

  Import a desktop from a .portal file. This import is goverened by the following import context properties

  do.deletes - If true, then books, pages and portlets that are currently on the existing desktop in the database but not in the new import file (.portal, .book, or .page) will be removed from the existing desktop.

  new.definitions.private - If new books or pages exist in the new import file and these definitions don't currently exist in the library then they will get created. If this flag is set to true then the definitions will be "private" and will not appear in the Admin tools or Visitor Tools.

  scope.changes.to.admin - When importing a .portal file and the portal path and desktop path are specified (see above) the changes will be scoped to the desktop. This desktop is typically the "Admins" view (default desktop). Visitors may customize their desktop even further. If this flag is set to false then the import only affects the user which is executing the command. Otherwise all changes are made to the default desktop (of course the user must have the appropriate permissions)

  modify.definitions - If this flag is set to true then any changes in the import file will effect the defintions and not just the instances. These include things like markup (backing files, rollover images, isHidden, ... for a more complete list refer to the database schema). It is important to note that these changes may effect other desktops outside the one you are scoping it to.

  proliferate.changes - Typically all changes that are made to Library artifacts are cascaded down to the admin's desktop and subsequently cascaded down to the visitor's view. If this property is set to "sync" then these changes will occur synchronously as part of this transaction. If this property is set to "async" then changes will be queued on a persistent JMS queue and each user's proliferation will occur in its own separate transaction in the background. If this property is set to "off" then changes will not get cascaded for the artifacts which have been modified. (NOTE: For books, pages and portlets that have not been modified at the admin or visitor level, then these will always receive the changes as they point to the default).

  create.portal.if.not.exist - If this flag is set then when importing a desktop, and the given portal is not already created, then one will be created for you.

  portal.title - If the above flag is set and a new portal is being created it needs a title. This properties value will be the new portals title.

  locale - the locale of the titles and descriptions in the .portal file. Note the encoding is defined in the file itself.

### importBook

    public void importBook()

  Import a book from a .book file. This import is goverened by the following properties

  xip.scope.portal.path=impPortal and xip.scope.desktop.path=impDesktop If these properties are supplied then the import is scoped to the identified desktop. If these properties are not supplied then the changes are scoped to the Library/

  do.deletes - If true, then books, pages and portlets that are currently on the existing desktop in the database but not in the new import file (.portal or .book) will be removed from the existing desktop.

  new.definitions.private - If new books or pages exist in the new import file (.portal or .book) and these definitions don't currently exist in the library then they will get created. If this flag is set to true then the definitions will be "private" and will not appear in the Admin tools or Visitor Tools.

  scope.changes.to.admin - When importing a .portal or .book file and the portal path and desktop path are specified (see above) the changes will be scoped to the desktop. This desktop is typically the "Admins" view (default desktop). Visitors may customize their desktop even further. If this flag is set to false then the import only affects the user which is executing the command. Otherwise all changes are made to the default desktop (of course the user must have the appropriate permissions)

  modify.definitions - If this flag is set to true then any changes in the import file will effect the defintions and not just the instances. These include things like markup (backing files, rollover images, isHidden, ... for a more complete list refer to the database schema). It is important to note that these changes may effect other desktops outside the one you are scoping it to.

  proliferate.changes - Typically all changes that are made to Library artifacts are cascaded down to the admin's desktop and subsequently cascaded down to the visitor's view. If this property is set to "sync" then these changes will occur synchronously as part of this transaction. If this property is set to "async" then changes will be queued on a persistent JMS queue and each user's proliferation will occur in its own separate transaction in the background. If this property is set to "off" then changes will not get cascaded for the artifacts which have been modified. (NOTE: For books, pages and portlets that have not been modified at the admin or visitor level, then these will always receive the changes as they point to the default).

  create.portal.if.not.exist - If this flag is set then when importing a desktop, and the given portal is not already created, then one will be created for you.

  portal.title - If the above flag is set and a new portal is being created it needs a title. This properties value will be the new portals title.

  locale - the locale of the titles and descriptions in the .portal or .book file. Note the encoding is defined in the file itself.

### importPage

    public void importPage()

  Import a page from a .page file. This import is goverened by the following properties

  xip.scope.portal.path=impPortal and xip.scope.desktop.path=impDesktop If these properties are supplied then the import is scoped to the identified desktop. If these properties are not supplied then the changes are scoped to the Library/

  do.deletes - If true, then books, pages and portlets that are currently on the existing desktop in the database but not in the new import file (.portal or .page) will be removed from the existing desktop.

  new.definitions.private - If new books or pages exist in the new import file (.portal or .page) and these definitions don't currently exist in the library then they will get created. If this flag is set to true then the definitions will be "private" and will not appear in the Admin tools or Visitor Tools.

  scope.changes.to.admin - When importing a .portal or .page file and the portal path and desktop path are specified (see above) the changes will be scoped to the desktop. This desktop is typically the "Admins" view (default desktop). Visitors may customize their desktop even further. If this flag is set to false then the import only affects the user which is executing the command. Otherwise all changes are made to the default desktop (of course the user must have the appropriate permissions)

  modify.definitions - If this flag is set to true then any changes in the import file will effect the defintions and not just the instances. These include things like markup (backing files, rollover images, isHidden, ... for a more complete list refer to the database schema). It is important to note that these changes may effect other desktops outside the one you are scoping it to.

  proliferate.changes - Typically all changes that are made to Library artifacts are cascaded down to the admin's desktop and subsequently cascaded down to the visitor's view. If this property is set to "sync" then these changes will occur synchronously as part of this transaction. If this property is set to "async" then changes will be queued on a persistent JMS queue and each user's proliferation will occur in its own separate transaction in the background. If this property is set to "off" then changes will not get cascaded for the artifacts which have been modified. (NOTE: For books, pages and portlets that have not been modified at the admin or visitor level, then these will always receive the changes as they point to the default).

  create.portal.if.not.exist - If this flag is set then when importing a desktop, and the given portal is not already created, then one will be created for you.

  portal.title - If the above flag is set and a new portal is being created it needs a title. This properties value will be the new portals title.

  locale - the locale of the titles and descriptions in the .portal or .page file. Note the encoding is defined in the file itself.

### verbose

    protected void verbose(String str)

### log

    protected void log(String str)

### main

    public static void main(String[] argvs)

  Main static method called from the command line

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.